[Overview][Constants][Types][Classes][Index] | Reference for unit 'zipper' (#fcl)

# TUnZipper.UnZipAllFiles

Unzips all files in a zip file, writing them to disk

## Declaration

Source position: line 0

`public procedure TUnZipper.UnZipAllFiles; virtual; procedure TUnZipper.UnZipAllFiles(`
`AFileName: string`
`);`

## Arguments

`AFileName` |  | Name of zip file to unzip

## Description

This procedure unzips all files in a object and writes the unzipped files to disk.

The example below unzips the files into "C:\windows\temp":

    uses
      Zipper;
    var
      UnZipper: TUnZipper;
    begin
      UnZipper := TUnZipper.Create;
      try
        UnZipper.FileName := ZipFilePath;
        UnZipper.OutputPath := 'C:\Windows\Temp';
        UnZipper.UnZipAllFiles;
      finally
        UnZipper.Free;
      end;
    end.

Documentation generated on: Feb 26 2014